Bug 1752794 - CVE-2019-14835 kernel: vhost-net: guest to host kernel escape during migration [fedora-all]
Summary: CVE-2019-14835 kernel: vhost-net: guest to host kernel escape during migratio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-14835
TreeView+ depends on / blocked
 
Reported: 2019-09-17 08:57 UTC by Petr Matousek
Modified: 2019-10-02 01:41 UTC (History)
20 users (show)

Fixed In Version: kernel-5.2.15-200.fc30 kernel-5.2.17-100.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 01:31:01 UTC


Attachments (Terms of Use)

Description Petr Matousek 2019-09-17 08:57:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Petr Matousek 2019-09-17 08:57:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1750727,1752794

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-09-17 12:01:59 UTC
FEDORA-2019-e3010166bd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3010166bd

Comment 3 Fedora Update System 2019-09-17 12:04:44 UTC
FEDORA-2019-38d2e07507 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-38d2e07507

Comment 4 Fedora Update System 2019-09-18 01:20:27 UTC
kernel-5.2.15-200.fc30, kernel-headers-5.2.15-200.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3010166bd

Comment 5 Fedora Update System 2019-09-18 01:26:50 UTC
kernel-5.2.15-100.fc29, kernel-headers-5.2.15-100.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-38d2e07507

Comment 6 Fedora Update System 2019-09-19 01:31:01 UTC
kernel-5.2.15-200.fc30, kernel-headers-5.2.15-200.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-09-20 01:38:34 UTC
FEDORA-2019-fa29e8d620 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa29e8d620

Comment 8 Fedora Update System 2019-09-21 03:04:25 UTC
kernel-5.2.16-100.fc29, kernel-headers-5.2.16-100.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fa29e8d620

Comment 9 Fedora Update System 2019-09-24 12:34:21 UTC
FEDORA-2019-a570a92d5a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a570a92d5a

Comment 10 Fedora Update System 2019-09-25 03:47:30 UTC
kernel-5.2.17-100.fc29, kernel-headers-5.2.17-100.fc29, kernel-tools-5.2.17-100.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a570a92d5a

Comment 11 Fedora Update System 2019-10-02 01:41:17 UTC
kernel-5.2.17-100.fc29, kernel-headers-5.2.17-100.fc29, kernel-tools-5.2.17-100.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.